Part Box/fr: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "==Options== * Via l'Éditeur de propriétés : ** '''Length:''' Définit la longueur de votre objet (par défaut 10 mm). ** '''Width:''' Définit la lar...")
Line 11: Line 11:


==Options==
==Options==
* Via the [[Property_editor | Property Editor]]:
* Via l'[[Property_editor/fr|Éditeur de propriétés]] :
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
** '''Length:''' Définit la longueur de votre objet (par défaut 10 mm).
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
** '''Width:''' Définit la largeur de votre objet (par défaut 10 mm).
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
** '''Height:''' Définit la hauteur de votre objet (par défaut 10 mm).
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
** '''Placement:''' Spécifie l'orientation et la position du cube dans l'espace 3D. Voir le [[Placement/fr|Positionnement]]. Le point de référence est localisé sur le coin inférieur avant du cube.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.
** '''Label:''' L'étiquette est le nom donné à l'opération. Ce nom peut être changé selon votre convenance.


==Properties==
==Properties==

Revision as of 04:54, 28 January 2018

Cube Pièce/fr

Emplacement du menu
Pièce → Primitives → Cube
Ateliers
Part, Complete
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Création de primitives

Description

La commande Boîte de l'atelier Pièce insère un parallélépipède droit paramétrique dans le document actif. Par défaut, la commande insère un cube de 10 x 10 x 10 mm positionné à l'origine, avec l'étiquette « Cube ». Ces paramètres peuvent être édités une fois que l'objet a été ajouté.

Boîte

Utilisation

  • Cliquer sur l'icône Cube dans l'atelier Pièce (Part).
  • Vous pouvez également sélectionner Pièce → Primitives → Cube depuis la barre de menu.

Options

  • Via l'Éditeur de propriétés :
    • Length: Définit la longueur de votre objet (par défaut 10 mm).
    • Width: Définit la largeur de votre objet (par défaut 10 mm).
    • Height: Définit la hauteur de votre objet (par défaut 10 mm).
    • Placement: Spécifie l'orientation et la position du cube dans l'espace 3D. Voir le Positionnement. Le point de référence est localisé sur le coin inférieur avant du cube.
    • Label: L'étiquette est le nom donné à l'opération. Ce nom peut être changé selon votre convenance.

Properties

Base

  • DonnéesPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
  • DonnéesLabel: Label given to the Box object. Change to suit your needs.

Box

  • DonnéesLength: The length parameter is the Box's dimension in the x-direction.
  • DonnéesWidth: The width parameter is the Box's dimension in the y-direction.
  • DonnéesHeight: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

The Box command can by used in macros and from the python console using the following function:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the label for the Box object.
  • Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

You can change its placement with:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD - Version

Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".